Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
eventview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $SiteDesign = $ini->variable( "site", "SiteDesign" )
| $Language = $ini->variable( "eZGroupEventCalendarMain", "Language" )
| $locale = new eZLocale( $Language )
| $t
| $curDate = new eZDate()
| $user = eZUser::currentUser()
| $session =& eZSession::globalSession()
| $tmpGroup = new eZUserGroup( $session->variable( "ShowOtherCalenderGroups" ) )
| $groupsList = "-1"
| $showPrivate = false
| $editor = false
| $event = new eZGroupEvent($EventID)
if( $event) if( $showEvent==false) | else
| $eventType = $event->type()
| $eventCategory = $event->category()
| $datetime = $event->dateTime()
| $groupID = $event->groupID()
switch( $event->priority()) switch( $event->status()) | $files = $event->files()

## Variable Documentation

## ◆ $curDate

$curDate = new eZDate()

Definition at line 92 of file eventview.php.

## ◆ $datetime

$datetime = $event->dateTime()

Definition at line 200 of file eventview.php.

## ◆ $editor

$editor = false

Definition at line 107 of file eventview.php.

## ◆ $event

$event = new eZGroupEvent($EventID)

Definition at line 129 of file eventview.php.

## ◆ $eventCategory

$eventCategory = $event->category()

Definition at line 198 of file eventview.php.

## ◆ $eventType

$eventType = $event->type()

Definition at line 197 of file eventview.php.

## ◆ $files

switch ($event->priority()) switch ($event->status()) $files = $event->files()

Definition at line 440 of file eventview.php.

## ◆ $groupID

$groupID = $event->groupID()

Definition at line 301 of file eventview.php.

## ◆ $groupsList

$groupsList = "-1"

Definition at line 105 of file eventview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 47 of file eventview.php.

## ◆ $Language

$Language = $ini->variable( "eZGroupEventCalendarMain", "Language" )

Definition at line 50 of file eventview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 51 of file eventview.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 98 of file eventview.php.

## ◆ $showPrivate

$showPrivate = false

Definition at line 106 of file eventview.php.

Referenced by eZGroupEvent\getAllByDate(), eZGroupEvent\getAllByType(), eZGroupEvent\getByDate(), eZAppointment\getByDate(), eZGroupEvent\getByGroup(), eZGroupEvent\getByGroupType(), eZGroupEvent\getByType(), and eZAppointment\getByUser().

## ◆ $SiteDesign

$SiteDesign = $ini->variable( "site", "SiteDesign" )

Definition at line 49 of file eventview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezgroupeventcalendar/user/" . $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" ),
"kernel/ezgroupeventcalendar/user/intl/", $Language, "eventview.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: eventview.php:50
$ini
$ini
Definition: eventview.php:47

Definition at line 53 of file eventview.php.

## ◆ $tmpGroup

$tmpGroup = new eZUserGroup( $session->variable( "ShowOtherCalenderGroups" ) )

Definition at line 101 of file eventview.php.

## ◆ $user

$user = eZUser::currentUser()

Definition at line 97 of file eventview.php.

## ◆ else

if ($event->isPrivate()==true) else

Initial value:
{
$event = new eZGroupEvent( $EventID )
eZGroupEvent
Definition: ezgroupevent.php:85
$event
$event
Definition: eventview.php:129

Definition at line 194 of file eventview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.